xfs_logprint(8)

NAME
xfs_logprint - print the log of an XFS filesystem

SYNOPSIS
xfs_logprint [ options ] device-name
xfs_logprint -f [ options ] filename

DESCRIPTION
xfs_logprint prints the log of an XFS filesystem (see xfs(5)). The device-name argument is the pathname of the partition or logical volume containing the filesystem. The contents of the filesystem remain undisturbed. There are two major modes of operation in xfs_logprint.

One mode is better for filesystem operation debugging. It is called the transactional view and is enabled through the -t option. The transactional view prints only the portion of the log that pertains to recovery. In other words, it prints out complete transactions between the tail and the head. This view tries to display each transaction without regard to how they are split across log records.

The second mode starts printing out information from the beginning of the log. Some error blocks might print out in the beginning because the last log record usually overlaps the oldest log record. A message is printed when the physical end of the log is reached and when the logical end of the log is reached. A log record view is displayed one record at a time. Transactions that span log records may not be decoded fully.

Common options are:

-b  Extract and print buffer information. Only used in transactional view.

-c  Attempt to continue when an error is detected.

-C filename
    Copy the log from the filesystem to the file filename. The log itself is not printed.

-d  Dump the log from front to end, printing where each log record is located on disk.

-D  Do not decode anything; just print data.

-e  Exit when an error is found in the log. Normally, xfs_logprint tries to continue and unwind from bad logs. However, sometimes it just dies in bad ways. Using this option prevents core dumps.

-f  The log is a file.

-l  External log device. Only for those filesystems which use an external log.

-i  Extract and print inode information. Only used in transactional view.

-q  Extract and print quota information. Only used in transactional view.

-n  Do not try and interpret log data; just interpret log header information.

-o  Also print buffer data in hex. Normally, buffer data is just decoded, so better information can be printed.

-s start-block
    Override any notion of where to start printing.

-t  Print out the transactional view.

SEE ALSO
mkfs.xfs(8), mount(8).